Public Attributes | List of all members
iso_start_target_ann_t Struct Reference
BLE » Core Isochronous Channels » Structures

The parameter for starting target announcement. More...

`#include <ble_iso.h>`

## Public Attributes
uint8_t | adv_idx
| Adv index. More...
uint32_t | interval
| Adv interval, (Range: 0x000020 to 0xFFFFFF), Time = N * 0.625. More...
uint8_t | adv_type
| Adv type, see iso_adv_type_t , the peer addr_type and addr is invalid for undirect type, and should ignore them. More...
uint8_t | peer_add_type
| Peer address type, see iso_add_type_t. More...
uint8_t | peer_addr [ISO_ADDR_LEN]
| Peer address. More...
uint16_t | data_len
| Target audio announcement data length. More...
uint8_t * | data
| Target audio announcement data. More...

## Detailed Description

The parameter for starting target announcement.

Definition at line 228 of file ble_iso.h.

## Member Data Documentation

## ◆ adv_idx

uint8_t iso_start_target_ann_t::adv_idx

Adv index.

Definition at line 230 of file ble_iso.h.

## ◆ adv_type

uint8_t iso_start_target_ann_t::adv_type

Adv type, see iso_adv_type_t , the peer addr_type and addr is invalid for undirect type, and should ignore them.

Definition at line 232 of file ble_iso.h.

## ◆ data

uint8_t* iso_start_target_ann_t::data

Target audio announcement data.

Definition at line 237 of file ble_iso.h.

## ◆ data_len

uint16_t iso_start_target_ann_t::data_len

Target audio announcement data length.

Definition at line 236 of file ble_iso.h.

## ◆ interval

uint32_t iso_start_target_ann_t::interval

Adv interval, (Range: 0x000020 to 0xFFFFFF), Time = N * 0.625.

Definition at line 231 of file ble_iso.h.

## ◆ peer_add_type

uint8_t iso_start_target_ann_t::peer_add_type

Peer address type, see iso_add_type_t.

Definition at line 234 of file ble_iso.h.

## ◆ peer_addr

uint8_t iso_start_target_ann_t::peer_addr[ISO_ADDR_LEN]

Peer address.

Definition at line 235 of file ble_iso.h.

The documentation for this struct was generated from the following file:

- ble_iso.h